package credit_usage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/credit_usage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /credit_usage credit_usage GetCreditUsageById
//
// Get credit usage by ID | 通过ID获取CreditUsage
//
// Get credit usage by ID | 通过ID获取CreditUsage
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: CreditUsageInfoResp

func GetCreditUsageByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := credit_usage.NewGetCreditUsageByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetCreditUsageById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
